COutputFile Class Reference
Input/output of files

A stdio FILE for opening a file for writing. More...

`#include <mia/core/file.hh>`

Inheritance diagram for COutputFile:
[legend]
Collaboration diagram for COutputFile:
[legend]

## Public Member Functions

| COutputFile (const std::string &filename)
| COutputFile (const std::string &filename, bool from_stdin)
Public Member Functions inherited from CFile
| CFile (const std::string &filename, bool from_stdio, bool write)
| operator PFILE ()
bool | operator! () const
virtual | ~CFile () throw ()

## Detailed Description

A stdio FILE for opening a file for writing.

A simple wrapper for the stdio FILE type that handles opening and closing for writing and takes care, whether stdout should be used

Definition at line 104 of file file.hh.

## Constructor & Destructor Documentation

## COutputFile() [1/2]

COutputFile::COutputFile | ( | const std::string & | filename | ) |

constructor opens the file

Parameters

  filename | is the name of the file to be openend, if it is "-" then stdin is used

## COutputFile() [2/2]

COutputFile::COutputFile | ( | const std::string & | filename,
|  | bool | from_stdin )

constructor opens the file

Parameters

  filename | is the name of the file to be openend
  from_stdin | force usage of stdin

The documentation for this class was generated from the following file:

- file.hh